{ disko, agenix, ... }:

{
  imports =
    [
      # Hosts
      ./hardware-configuration.nix
      ./hardware.nix
      ./networking.nix
      # ./disko-config.nix
      ./reverse-proxy.nix

      ../../users/lyes

      ../../modules
      ../../modules/server
      ../../modules/server/link
      ../../modules/server/taf
      ../../modules/server/giovanni
      ../../modules/server/baba
      ../../modules/server/nayru

      # disko.nixosModules.disko
      agenix.nixosModules.default
    ];

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "25.05"; # Did you read the comment?
}
